# Package org.apache.mina.core.buffer

- Interface Summary
  Interface | Description
  --- | ---
  IoBufferAllocator | Allocates `IoBuffer`s and manages them.

- Class Summary
  Class | Description
  --- | ---
  AbstractIoBuffer | A base implementation of `IoBuffer`.
  CachedBufferAllocator | An `IoBufferAllocator` that caches the buffers which are likely to be reused during auto-expansion of the buffers.
  IoBuffer | A byte buffer used by MINA applications.
  IoBufferWrapper | A `IoBuffer` that wraps a buffer and proxies any operations to it.
  SimpleBufferAllocator | A simplistic `IoBufferAllocator` which simply allocates a new buffer every time.

- Exception Summary
  Exception | Description
  --- | ---
  BufferDataException | A `RuntimeException` which is thrown when the data the `IoBuffer` contains is corrupt.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.